curl --request POST \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Industry",
"type": "text",
"key": "industry",
"description": "The primary industry of the company.",
"visible_in_spotter": false,
"field_rules": [
{
"type": "<string>",
"config": {}
}
],
"options": [
{
"key": "technology",
"label": "Technology",
"color": "#FF0000"
}
]
}
'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/custom-fields"
payload = {
"name": "Industry",
"type": "text",
"key": "industry",
"description": "The primary industry of the company.",
"visible_in_spotter": False,
"field_rules": [
{
"type": "<string>",
"config": {}
}
],
"options": [
{
"key": "technology",
"label": "Technology",
"color": "#FF0000"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Industry',
type: 'text',
key: 'industry',
description: 'The primary industry of the company.',
visible_in_spotter: false,
field_rules: [{type: '<string>', config: {}}],
options: [{key: 'technology', label: 'Technology', color: '#FF0000'}]
})
};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "industry",
"key": "industry",
"name": "Industry",
"entity_type": "organisation",
"type": "text",
"description": "The primary industry of the company.",
"group": "custom",
"is_visible": true,
"source": "manual",
"rules": [
{}
],
"is_system": false,
"options": [
{}
],
"visible_in_spotter": false
}Create a custom field definition
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
"550e8400-e29b-41d4-a716-446655440000"
Body
Request body for creating a custom field definition
The human-readable name of the field
255"Industry"
The data type of the field
"text"
The machine-readable key. Must start with a lowercase letter and contain only lowercase letters, numbers, and underscores. Generated from the name when omitted.
255"industry"
1000"The primary industry of the company."
Expose this field's values in the Spotter API response. Off by default: exposed values become readable on your website by any script that can access the Spotter response.
false
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
The created custom field definition
A custom field definition for organisations
The unique identifier of the field
"industry"
The machine-readable key of the field
"industry"
The human-readable name of the field
"Industry"
The entity type the field belongs to
"organisation"
The data type of the field
"text"
"The primary industry of the company."
The group the field belongs to
"custom"
true
The source of the field
"manual"
false
Whether this field's values are exposed in the Spotter API response
false